Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/priority-fencing-delay.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/priority-fencing-delay.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/priority-fencing-delay.exp
@@ -442,37 +343,37 @@
         <pseudo_event id="10" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="51" operation="start" operation_key="R-lxc-01_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2"/>
+        <rsc_op id="43" operation="start" operation_key="R-lxc-01_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="58" operation="stop" operation_key="lxc-01_kiff-01_stop_0"/>
+        <pseudo_event id="50" operation="stop" operation_key="lxc-01_kiff-01_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="31">
+  <synapse id="23">
     <action_set>
-      <pseudo_event id="58" operation="stop" operation_key="lxc-01_kiff-01_stop_0">
+      <pseudo_event id="50" operation="stop" operation_key="lxc-01_kiff-01_stop_0">
         <attributes CRM_meta_container="R-lxc-01_kiff-01" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="32">
+  <synapse id="24">
     <action_set>
-      <rsc_op id="63" operation="monitor" operation_key="lxc-02_kiff-01_monitor_30000" on_node="kiff-02" on_node_uuid="2">
+      <rsc_op id="55" operation="monitor" operation_key="lxc-02_kiff-01_monitor_30000" on_node="kiff-02" on_node_uuid="2">
         <primitive id="lxc-02_kiff-01" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="R-lxc-02_kiff-01" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="kiff-02" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="62" operation="start" operation_key="lxc-02_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2"/>
+        <rsc_op id="54" operation="start" operation_key="lxc-02_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="33">
+  <synapse id="25">
     <action_set>
-      <rsc_op id="62" operation="start" operation_key="lxc-02_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2">
+      <rsc_op id="54" operation="start" operation_key="lxc-02_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2">
         <primitive id="lxc-02_kiff-01" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="R-lxc-02_kiff-01" CRM_meta_name="start" CRM_meta_on_node="kiff-02" CRM_meta_on_node_uuid="2" CRM_meta_timeout="60000" />
       </rsc_op>
@@ -482,24 +383,24 @@
         <pseudo_event id="10" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="54" operation="start" operation_key="R-lxc-02_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2"/>
+        <rsc_op id="46" operation="start" operation_key="R-lxc-02_kiff-01_start_0" on_node="kiff-02" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="61" operation="stop" operation_key="lxc-02_kiff-01_stop_0"/>
+        <pseudo_event id="53" operation="stop" operation_key="lxc-02_kiff-01_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="34">
+  <synapse id="26">
     <action_set>
-      <pseudo_event id="61" operation="stop" operation_key="lxc-02_kiff-01_stop_0">
+      <pseudo_event id="53" operation="stop" operation_key="lxc-02_kiff-01_stop_0">
         <attributes CRM_meta_container="R-lxc-02_kiff-01" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="35">
+  <synapse id="27">
     <action_set>
-      <pseudo_event id="70" operation="stonith" operation_key="stonith-lxc-02_kiff-01-reboot" on_node="lxc-02_kiff-01" on_node_uuid="lxc-02_kiff-01">
+      <pseudo_event id="62" operation="stonith" operation_key="stonith-lxc-02_kiff-01-reboot" on_node="lxc-02_kiff-01" on_node_uuid="lxc-02_kiff-01">
         <attributes CRM_meta_on_node="lxc-02_kiff-01" CRM_meta_on_node_uuid="lxc-02_kiff-01" CRM_meta_stonith_action="reboot" />
         <downed>
           <node id="lxc-02_kiff-01"/>
@@ -508,13 +409,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="1" operation="stonith" operation_key="stonith-kiff-01-reboot" on_node="kiff-01" on_node_uuid="1"/>
+        <pseudo_event id="45" operation="stop" operation_key="R-lxc-02_kiff-01_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="36">
+  <synapse id="28">
     <action_set>
-      <pseudo_event id="69" operation="stonith" operation_key="stonith-lxc-01_kiff-01-reboot" on_node="lxc-01_kiff-01" on_node_uuid="lxc-01_kiff-01">
+      <pseudo_event id="61" operation="stonith" operation_key="stonith-lxc-01_kiff-01-reboot" on_node="lxc-01_kiff-01" on_node_uuid="lxc-01_kiff-01">
         <attributes CRM_meta_on_node="lxc-01_kiff-01" CRM_meta_on_node_uuid="lxc-01_kiff-01" CRM_meta_stonith_action="reboot" />
         <downed>
           <node id="lxc-01_kiff-01"/>
@@ -523,13 +424,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="1" operation="stonith" operation_key="stonith-kiff-01-reboot" on_node="kiff-01" on_node_uuid="1"/>
+        <pseudo_event id="42" operation="stop" operation_key="R-lxc-01_kiff-01_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="37">
+  <synapse id="29">
     <action_set>
-      <pseudo_event id="68" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="60" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
@@ -538,14 +439,14 @@
         <crm_event id="1" operation="stonith" operation_key="stonith-kiff-01-reboot" on_node="kiff-01" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="69" operation="stonith" operation_key="stonith-lxc-01_kiff-01-reboot" on_node="lxc-01_kiff-01" on_node_uuid="lxc-01_kiff-01"/>
+        <pseudo_event id="61" operation="stonith" operation_key="stonith-lxc-01_kiff-01-reboot" on_node="lxc-01_kiff-01" on_node_uuid="lxc-01_kiff-01"/>
       </trigger>
       <trigger>
-        <pseudo_event id="70" operation="stonith" operation_key="stonith-lxc-02_kiff-01-reboot" on_node="lxc-02_kiff-01" on_node_uuid="lxc-02_kiff-01"/>
+        <pseudo_event id="62" operation="stonith" operation_key="stonith-lxc-02_kiff-01-reboot" on_node="lxc-02_kiff-01" on_node_uuid="lxc-02_kiff-01"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="38">
+  <synapse id="30">
     <action_set>
       <pseudo_event id="10" operation="all_stopped" operation_key="all_stopped">
         <attributes />
@@ -553,62 +454,38 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="vm-fs_monitor_0" on_node="lxc-01_kiff-02" on_node_uuid="lxc-01_kiff-02" router_node="kiff-02"/>
-      </trigger>
-      <trigger>
-        <rsc_op id="12" operation="monitor" operation_key="dlm_monitor_0" internal_operation_key="dlm:0_monitor_0" on_node="lxc-01_kiff-02" on_node_uuid="lxc-01_kiff-02" router_node="kiff-02"/>
+        <pseudo_event id="11" operation="stop" operation_key="vm-fs_stop_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="13" operation="monitor" operation_key="clvmd_monitor_0" internal_operation_key="clvmd:0_monitor_0" on_node="lxc-01_kiff-02" on_node_uuid="lxc-01_kiff-02" router_node="kiff-02"/>
+        <pseudo_event id="18" operation="stop" operation_key="fence-kiff-02_stop_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="14" operation="monitor" operation_key="shared0_monitor_0" internal_operation_key="shared0:0_monitor_0" on_node="lxc-01_kiff-02" on_node_uuid="lxc-01_kiff-02" router_node="kiff-02"/>
+        <pseudo_event id="21" operation="stop" operation_key="dlm_stop_0" internal_operation_key="dlm:0_stop_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="15" operation="monitor" operation_key="vm-fs_monitor_0" on_node="lxc-02_kiff-02" on_node_uuid="lxc-02_kiff-02" router_node="kiff-02"/>
+        <pseudo_event id="28" operation="stop" operation_key="clvmd_stop_0" internal_operation_key="clvmd:0_stop_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="16" operation="monitor" operation_key="dlm_monitor_0" internal_operation_key="dlm:0_monitor_0" on_node="lxc-02_kiff-02" on_node_uuid="lxc-02_kiff-02" router_node="kiff-02"/>
+        <pseudo_event id="35" operation="stop" operation_key="shared0_stop_0" internal_operation_key="shared0:0_stop_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="17" operation="monitor" operation_key="clvmd_monitor_0" internal_operation_key="clvmd:0_monitor_0" on_node="lxc-02_kiff-02" on_node_uuid="lxc-02_kiff-02" router_node="kiff-02"/>
+        <pseudo_event id="42" operation="stop" operation_key="R-lxc-01_kiff-01_stop_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="18" operation="monitor" operation_key="shared0_monitor_0" internal_operation_key="shared0:0_monitor_0" on_node="lxc-02_kiff-02" on_node_uuid="lxc-02_kiff-02" router_node="kiff-02"/>
+        <pseudo_event id="45" operation="stop" operation_key="R-lxc-02_kiff-01_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="19" operation="stop" operation_key="vm-fs_stop_0"/>
+        <pseudo_event id="50" operation="stop" operation_key="lxc-01_kiff-01_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="26" operation="stop" operation_key="fence-kiff-02_stop_0"/>
+        <pseudo_event id="53" operation="stop" operation_key="lxc-02_kiff-01_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="29" operation="stop" operation_key="dlm_stop_0" internal_operation_key="dlm:0_stop_0"/>
-      </trigger>
-      <trigger>
-        <pseudo_event id="36" operation="stop" operation_key="clvmd_stop_0" internal_operation_key="clvmd:0_stop_0"/>
-      </trigger>
-      <trigger>
-        <pseudo_event id="43" operation="stop" operation_key="shared0_stop_0" internal_operation_key="shared0:0_stop_0"/>
-      </trigger>
-      <trigger>
-        <pseudo_event id="50" operation="stop" operation_key="R-lxc-01_kiff-01_stop_0"/>
-      </trigger>
-      <trigger>
-        <pseudo_event id="53" operation="stop" operation_key="R-lxc-02_kiff-01_stop_0"/>
-      </trigger>
-      <trigger>
-        <pseudo_event id="58" operation="stop" operation_key="lxc-01_kiff-01_stop_0"/>
-      </trigger>
-      <trigger>
-        <pseudo_event id="61" operation="stop" operation_key="lxc-02_kiff-01_stop_0"/>
-      </trigger>
-      <trigger>
-        <pseudo_event id="68" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="60" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="39">
+  <synapse id="31">
     <action_set>
       <crm_event id="1" operation="stonith" operation_key="stonith-kiff-01-reboot" on_node="kiff-01" on_node_uuid="1">
         <attributes CRM_meta_on_node="kiff-01" CRM_meta_on_node_uuid="1" CRM_meta_priority_fencing_delay="15" CRM_meta_probe_complete="true" CRM_meta_shutdown="0" CRM_meta_stonith_action="reboot" />
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/priority-fencing-delay.summary
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/priority-fencing-delay.summary
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/priority-fencing-delay.summary
@@ -25,29 +25,21 @@ Containers: [ lxc-01_kiff-02:R-lxc-01_ki
  R-lxc-02_kiff-02	(ocf::heartbeat:VirtualDomain):	Started kiff-02
 
 Transition Summary:
- * Fence (reboot) lxc-02_kiff-01 (resource: R-lxc-02_kiff-01) 'guest is unclean'
- * Fence (reboot) lxc-01_kiff-01 (resource: R-lxc-01_kiff-01) 'guest is unclean'
- * Fence (reboot) kiff-01 'peer is no longer part of the cluster'
- * Recover    vm-fs                (     lxc-01_kiff-01 )  
- * Move       fence-kiff-02        ( kiff-01 -> kiff-02 )  
- * Stop       dlm:0                (            kiff-01 )   due to node availability
- * Stop       clvmd:0              (            kiff-01 )   due to node availability
- * Stop       shared0:0            (            kiff-01 )   due to node availability
- * Recover    R-lxc-01_kiff-01     ( kiff-01 -> kiff-02 )  
- * Move       R-lxc-02_kiff-01     ( kiff-01 -> kiff-02 )  
- * Move       lxc-01_kiff-01       ( kiff-01 -> kiff-02 )  
- * Move       lxc-02_kiff-01       ( kiff-01 -> kiff-02 )  
+ * Fence (reboot) lxc-02_kiff-01 (resource: R-lxc-02_kiff-01)
+ * Fence (reboot) lxc-01_kiff-01 (resource: R-lxc-01_kiff-01)
+ * Fence (reboot) kiff-01
+ * Recover vm-fs	(Started lxc-01_kiff-01)
+ * Move    fence-kiff-02	(Started kiff-01 -> kiff-02)
+ * Stop    dlm:0	(kiff-01)
+ * Stop    clvmd:0	(kiff-01)
+ * Stop    shared0:0	(kiff-01)
+ * Recover R-lxc-01_kiff-01	(Started kiff-01 -> kiff-02)
+ * Move    R-lxc-02_kiff-01	(Started kiff-01 -> kiff-02)
+ * Move    lxc-01_kiff-01	(Started kiff-01 -> kiff-02)
+ * Move    lxc-02_kiff-01	(Started kiff-01 -> kiff-02)
 
 Executing cluster transition:
- * Resource action: vm-fs           monitor on lxc-02_kiff-02
- * Resource action: vm-fs           monitor on lxc-01_kiff-02
  * Pseudo action:   fence-kiff-02_stop_0
- * Resource action: dlm             monitor on lxc-02_kiff-02
- * Resource action: dlm             monitor on lxc-01_kiff-02
- * Resource action: clvmd           monitor on lxc-02_kiff-02
- * Resource action: clvmd           monitor on lxc-01_kiff-02
- * Resource action: shared0         monitor on lxc-02_kiff-02
- * Resource action: shared0         monitor on lxc-01_kiff-02
  * Pseudo action:   lxc-01_kiff-01_stop_0
  * Pseudo action:   lxc-02_kiff-01_stop_0
  * Fencing kiff-01 (reboot)
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-10.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/rec-node-10.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/rec-node-10.exp
@@ -1,7 +1,7 @@
  <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
    <synapse id="0">
      <action_set>
-      <rsc_op id="2" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="3" operation="monitor" operation_key="stonith-1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -10,7 +10,7 @@
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="3" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -19,7 +19,7 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
+      <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
        </rsc_op>
